Subject: [Bug 216095] sysfs: cannot create duplicate filename '/devices/platform/of-display'

From: [email-masked]
Date: Sat, 14 Jan 2023 13:11:44 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=216095

Erhard F. ([email-masked]) changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
 Attachment #303509|0                           |1
        is obsolete|                            |

--- Comment #13 from Erhard F. ([email-masked]) ---
Created attachment 303600
  --> https://bugzilla.kernel.org/attachment.cgi?id=303600&action=edit
dmesg (6.2-rc3, PowerMac G4 DP)

(In reply to Michal Suchánek from comment #12)
> Thanks for the DT dumps.
> 
> So you really do have two outputs but the problem is likely different:
Two outputs? I got only a Radeon 9600 in the G4 and it does show up as a single
card in lspci (no secondary output). Xorg.log. only shows a single device.

 # lspci 
0000:00:0b.0 Host bridge: Apple Inc. UniNorth 2 AGP
0000:00:10.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI]
RV350 [Radeon 9550/9600/X1050 Series]
0001:10:0b.0 Host bridge: Apple Inc. UniNorth 2 PCI
0001:10:12.0 USB controller: NEC Corporation OHCI USB Controller (rev 43)
0001:10:12.1 USB controller: NEC Corporation OHCI USB Controller (rev 43)
0001:10:12.2 USB controller: NEC Corporation uPD72010x USB 2.0 Controller (rev
04)
0001:10:13.0 Mass storage controller: Silicon Image, Inc. SiI 3112
[SATALink/SATARaid] Serial ATA Controller (rev 02)
0001:10:15.0 Serial controller: MosChip Semiconductor Technology Ltd. PCI 9865
Multi-I/O Controller
0001:10:15.1 Serial controller: MosChip Semiconductor Technology Ltd. PCI 9865
Multi-I/O Controller
0001:10:15.2 Parallel controller: Illegal Vendor ID Device 9865
0001:10:16.0 Network controller: Broadcom Inc. and subsidiaries BCM4306
802.11b/g Wireless LAN Controller (rev 02)
0001:10:17.0 Unassigned class [ff00]: Apple Inc. KeyLargo Mac I/O (rev 03)
0001:10:18.0 USB controller: Apple Inc. KeyLargo USB
0001:10:19.0 USB controller: Apple Inc. KeyLargo USB
0001:10:1b.0 USB controller: NEC Corporation OHCI USB Controller (rev 43)
0001:10:1b.1 USB controller: NEC Corporation OHCI USB Controller (rev 43)
0001:10:1b.2 USB controller: NEC Corporation uPD72010x USB 2.0 Controller (rev
04)
0002:20:0b.0 Host bridge: Apple Inc. UniNorth 2 Internal PCI
0002:20:0d.0 Unassigned class [ff00]: Apple Inc. UniNorth 2 ATA/100
0002:20:0e.0 FireWire (IEEE 1394): Apple Inc. UniNorth 2 FireWire (rev 01)
0002:20:0f.0 Ethernet controller: Apple Inc. UniNorth 2 GMAC (Sun GEM)

 # lspci -v -s 0000:00:10.0
0000:00:10.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI]
RV350 [Radeon 9550/9600/X1050 Series] (prog-if 00 [VGA controller])
        Subsystem: Advanced Micro Devices, Inc. [AMD/ATI] R9600 Pro primary
(Asus OEM for HP)
        Device tree node:
/sys/firmware/devicetree/base/pci@f0000000/ATY,AlteracParent@10
        Flags: bus master, 66MHz, medium devsel, latency 255, IRQ 48
        Memory at a0000000 (32-bit, prefetchable) [size=256M]
        I/O ports at 0400 [disabled] [size=256]
        Memory at 90000000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at 90020000 [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2

> The hardware-specific driver gets initialized earlier, and then the
> offb/ofdrm driver cannot get the resources for the framebuffer because the
> native driver is already using them.
> 
> That should be fine but the message it prints is not exactly clear.
Ok. To rule out influence of other drivers I disabled them (# CONFIG_FB is not
set, # CONFIG_DRM_RADEON is not set) and only set CONFIG_DRM=y,
CONFIG_DRM_OFDRM=y but it made no difference. Sill I get this:
sysfs: cannot create duplicate filename '/devices/platform/of-display'
[...]
of-display: probe of of-display failed with error -22

-- 
You may reply to this email to add a comment.

You are receiving this mail because:
You are watching the assignee of the bug.